Package io.vertx.ext.consul

## Enum TxnServiceVerb

- java.lang.Object
- - java.lang.Enum<TxnServiceVerb>
  - - io.vertx.ext.consul.TxnServiceVerb

- All Implemented Interfaces:
    `Serializable`, `Comparable<TxnServiceVerb>`

      public enum TxnServiceVerb
      extends Enum<TxnServiceVerb>

  Holds the type of Service operation in transaction

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CAS` | Sets, but with CAS semantics using the given ModifyIndex
    `DELETE` | Delete the service
    `DELETE_CAS` | Delete, but with CAS semantics
    `GET` | Get the service, fails if it does not exist
    `SET` | Sets the service to the given state

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getVerb()` |
    `static TxnServiceVerb` | `ofVerb​(String verb)` |
    `static TxnServiceVerb` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TxnServiceVerb[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SET

          public static final TxnServiceVerb SET

      Sets the service to the given state

    - #### CAS

          public static final TxnServiceVerb CAS

      Sets, but with CAS semantics using the given ModifyIndex

    - #### GET

          public static final TxnServiceVerb GET

      Get the service, fails if it does not exist

    - #### DELETE

          public static final TxnServiceVerb DELETE

      Delete the service

    - #### DELETE_CAS

          public static final TxnServiceVerb DELETE_CAS

      Delete, but with CAS semantics

  - ### Method Detail

    - #### values

          public static TxnServiceVerb[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TxnServiceVerb c : TxnServiceVerb.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TxnServiceVerb valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### ofVerb

          public static TxnServiceVerb ofVerb​(String verb)

    - #### getVerb

          public String getVerb()